# ClusterBackup

A backup object.

## Properties

| Name                           | Type        | Description                                               | Notes                               |
| ------------------------------ | ----------- | --------------------------------------------------------- | ----------------------------------- |
| **id**                         | **string**  | The unique ID of the resource.                            | \[optional] \[default to undefined] |
| **clusterId**                  | **string**  | The unique ID of the cluster.                             | \[optional] \[default to undefined] |
| **version**                    | **string**  | The PostgreSQL version this backup was created from.      | \[optional] \[default to undefined] |
| **isActive**                   | **boolean** | Whether a cluster currently backs up data to this backup. | \[optional] \[default to undefined] |
| **earliestRecoveryTargetTime** | **string**  | The oldest available timestamp to which you can restore.  | \[optional] \[default to undefined] |
| **size**                       | **number**  | Size of all base backups including the wal size in MB.    | \[optional] \[default to undefined] |
| **location**                   | **string**  | The S3 location where the backups will be stored.         | \[optional] \[default to undefined] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-nodejs/models/clusterbackup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
